# vim: set ft=spec: -*- rpm-spec -*-
# $Id: ethereal,v 1.14 2005/10/20 10:47:05 raorn Exp $

Name: ethereal
Version: 0.10.13
Release: alt1

Summary: Network traffic analyzer
Group: Monitoring
Url: http://www.ethereal.com/
License: GPL

Source: http://www.ethereal.com/distribution/%name-%version.tar.bz2
Source1: http://www.ethereal.com/distribution/docs/eug_html_chunked.zip

Patch: %name-0.10.12-deb-alt-fixes.patch
Patch1: %name-0.10.12-deb-diameter_vendors.patch
Patch2: %name-0.10.12-deb-drop-capabilities.patch
Patch3: %name-0.10.12-deb-giop-buffer.patch

# Automatically added by buildreq on Sun Jan 23 2005 and filtered by raorn
BuildRequires: doxygen flex gcc-c++ glib2-devel libadns-devel libatk-devel libgtk+2-devel libpango-devel libpcap-devel libpcre-devel libssl-devel libstdc++-devel menu-devel pkgconfig python unzip xorg-x11-libs zlib-devel libcap-devel

%package base
Summary: Ethereal base package
Group: Monitoring
Provides: %name-libs = %version-%release
Obsoletes: %name-libs < 0.10.10
Conflicts: libwiretap < %version-%release
Conflicts: libwiretap > %version-%release

%package gtk+
Summary: GTK+ GUI for Ethereal package
Group: Monitoring
Requires: %name-base = %version-%release
Provides: %name = %version-%release
Obsoletes: ethereal

%package -n t%name
Summary: Console GUI for Ethereal package
Group: Monitoring
Requires: %name-base = %version-%release

%package doc
Summary: Ethereal User's Guide
Group: Documentation
License: FDL
Conflicts: %name-base < %version-%release
Conflicts: %name-base > %version-%release

%package -n libwiretap
Summary: A future replacement for libpcap
Group: System/Libraries

%package -n libwiretap-devel
Summary: Development environment for Wiretap library
Group: Development/C
Requires: libwiretap = %version-%release
Obsoletes: %name-devel

%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.

%description base
Ethereal is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering
library, contains command-line utilities, contains plugins and
documentation for ethereal. A graphical user interface is packaged
separately to GTK+ package.

%description gtk+
This package contains GTK+ GUI ie. the ethereal -- application.

%description -n t%name
This package contains console ethereal application.

%description doc
Ethereal is one of those programs that many network managers would love to
be able to use, but they are often prevented from getting what they would
like from Ethereal because of the lack of documentation.

This document is part of an effort by the Ethereal team to improve the
usability of Ethereal.

%description -n libwiretap
Wiretap is a library that is being developed as a future replacement for
libpcap, the current standard Unix library for packet capturing.

%description -n libwiretap-devel
Wiretap is a library that is being developed as a future replacement for
libpcap, the current standard Unix library for packet capturing.

This package contains development files needed to develop wiretap-based
applications.

%prep
%setup -q
%__unzip -qa %SOURCE1
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%add_optflags -I%_includedir/pcre
./autogen.sh

export ac_cv_path_HTML_VIEWER=url_handler.sh
%configure \
   --sysconfdir=%_sysconfdir/%name \
   --disable-static \
   --enable-shared \
   --enable-ethereal \
   --enable-gtk2 \
   --enable-tethereal \
   --enable-editcap \
   --enable-capinfo \
   --enable-mergecap \
   --enable-text2pcap \
   --disable-idl2eth \
   --enable-dftest \
   --enable-randpkt \
   --enable-ipv6 \
   --disable-setuid-install \
   --with-gnu-ld \
   --with-pic \
   --with-pcap \
   --with-zlib \
   --with-pcre \
   --with-ssl \
   --without-net-snmp \
   --without-ucd-snmp \
   --without-krb5 \
   --with-adns \
   --with-plugins=%_libdir/%name/plugins/%version

%make_build

%install
%make_install install DESTDIR=%buildroot
%__rm -f %buildroot%_libdir/%name/plugins/%version/*.la

%__mkdir_p %buildroot{%_menudir,%_datadir/applications,%_iconsdir,%_liconsdir,%_miconsdir}
%__cp -p ethereal.desktop %buildroot%_datadir/applications/%name.desktop
%__cp -p image/hi16-app-ethereal.png %buildroot%_miconsdir/ethereal.png
%__cp -p image/hi32-app-ethereal.png %buildroot%_iconsdir/ethereal.png
%__cp -p image/hi48-app-ethereal.png %buildroot%_liconsdir/ethereal.png
%Md2m %name-gtk+ "Networking/Monitoring" \
	%buildroot%_datadir/applications/%name.desktop \
	%buildroot%_menudir/%name-gtk+

%__mkdir_p %buildroot%_includedir/wiretap
%__install -p -m644 wiretap/wtap.h %buildroot%_includedir/wiretap/wtap.h

%post base -p %post_ldconfig

%postun base -p %postun_ldconfig

%post -n libwiretap -p %post_ldconfig

%postun -n libwiretap -p %postun_ldconfig

%post gtk+
%update_menus

%postun gtk+
%clean_menus

%files base
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/README.*
%_bindir/capinfos
%_bindir/dftest
%_bindir/editcap
%_bindir/mergecap
%_bindir/randpkt
%_bindir/text2pcap
%_man1dir/editcap.*
%_man1dir/capinfos.*
%_man1dir/mergecap.*
%_man1dir/text2pcap.*
%_man4dir/ethereal-filter.*
%_datadir/%name
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%dir %_libdir/%name/plugins/%version/
%_libdir/%name/plugins/%version/*
%_libdir/lib%name.so.*

%files gtk+
%_bindir/ethereal
%_man1dir/ethereal.*
%_datadir/applications/%name.desktop
%_miconsdir/ethereal.png
%_iconsdir/ethereal.png
%_liconsdir/ethereal.png
%_menudir/%name-gtk+

%files -n t%name
%_bindir/tethereal
%_man1dir/tethereal.*

%files doc
%doc eug_html_chunked/*

%files -n libwiretap
%_libdir/libwiretap.so.*

%files -n libwiretap-devel
%_includedir/wiretap
%_libdir/libwiretap.so

%changelog
* Thu Oct 20 2005 Sir Raorn <raorn@altlinux.ru> 0.10.13-alt1
- [0.10.13]

* Mon Oct 10 2005 Sir Raorn <raorn@altlinux.ru> 0.10.12-alt2
- Fix unexpanded macros
- Changed -doc group to Documentation

* Sat Jul 30 2005 Sir Raorn <raorn@altlinux.ru> 0.10.12-alt1
- [0.10.12]
- Updated EUG
- Added patches from debian:
  + diameter_vendors
  + drop-capabilities
  + giop-buffer

* Tue May 10 2005 Sir Raorn <raorn@altlinux.ru> 0.10.11-alt1
- [0.10.11]

* Tue Mar 15 2005 Sir Raorn <raorn@altlinux.ru> 0.10.10-alt1
- [0.10.10]
- Fixed:
   + CAN-2005-0699
   + CAN-2005-0704
   + CAN-2005-0705
- ethereal-devel and idl2eth are unusable.  Dropped
- libwiretap is back

* Sat Jan 22 2005 Sir Raorn <raorn@altlinux.ru> 0.10.9-alt1
- [0.10.9]
- Fixed:
   + CAN-2004-1139
   + CAN-2004-1140
   + CAN-2004-1141
   + CAN-2004-1142
   + CAN-2005-0006
   + CAN-2005-0007
   + CAN-2005-0008
   + CAN-2005-0009
   + CAN-2005-0010
   + CAN-2005-0084
- Debian fixes:
  * Fixed dissect_cmip_InvokeIDType declaration (FTBFS with gcc-4.0)
  * epan/dissectors/packet-giop.c: fixed segfault with some GIOP packets
  * ethereal_gen.py: fixed some includes
- ALT fixes (based on Debian):
  * epan/prefs.c: changed default font to "Fixed 11"
  * epan/prefs.c: Use url_handler.sh as default browser
- Removed -kde subpackage (obsoleted by -gtk+) (closes: #5859)
- Removed -consolehelper subpackage.  Running ethereal with root privileges
  is insecure, do it at your own risc (closes: #3520)
- Added menu entry and icons (closes: #5006)
- SNMP support disabled due to overbloated dependencies
- Separated -libs and -devel. Header files list borrowed from Debian
- libwiretap-devel is now obsoleted by ethereal-devel
- Packaged idl2eth utility (idl2eth package)

* Fri Sep 03 2004 Sir Raorn <raorn@altlinux.ru> 0.10.6-alt1
- [0.10.6]
- Moved libwiretap to seperate subpackage
- Added libwiretap-devel
- Added EUG (in -doc subpackage)

* Thu Jul 08 2004 Stanislav Ievlev <inger@altlinux.org> 0.10.5-alt1
- 1.10.5

* Sat May 15 2004 Alexander Bokovoy <ab@altlinux.ru> 0.10.4-alt1
- 0.10.4

* Fri Apr 02 2004 Alexander Bokovoy <ab@altlinux.ru> 0.10.3-alt2
- Fixed:
   + Some libraries were missing

* Thu Apr 01 2004 Alexander Bokovoy <ab@altlinux.ru> 0.10.3-alt1
- 0.10.3
- Removed:
   + %name-gnome subpackage (outdated and non-usable anymore)

* Tue Feb 24 2004 Alexander Bokovoy <ab@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Removed:
   + Stock icons (added into the release tarball finally)
   + Makefile patch
- Added:
   + mergecap, idl2eth, text2pcap and their man-pages
   + man page for ethereal-filter

* Fri Feb 20 2004 Alexander Bokovoy <ab@altlinux.ru> 0.10.1-alt1
- 0.10.1 
- Fixed:
   + Wrong dependencies between makefiles
- Added:
   + Missing stock GTK+ 2.2.4 icons used by Ethereal

* Thu Nov 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.16-alt1
- 0.9.16
- Fixed:
   + CAN-2003-0925
   + CAN-2003-0926
   + CAN-2003-0927
- Added:
   + --enable Master switch allows to build this package for 
     ALT Linux Master 2.2
   + Build GTK+ 2.x frontend instead of GTK+ 1.x
- Updated:
   + PAM entry to follow current PAM policy in ALT Linux Sisyphus

* Tue Jun 17 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.13-alt1
- Updated to 0.9.13, fixes a number of vulnerabilities.
- Added plugins path to findprov lib path

* Tue Mar 11 2003 Dmitry V. Levin <ldv@altlinux.org> 0.9.11-alt1
- Updated to 0.9.11:
  "This release fixes  the packaging, and adds minor updates
  and fixes for the following protocols:
  AFS, OpenBSD enc(4), RTP, SCSI, SIP, SMPP, SSH
  IA64 support has been improved."

* Mon Mar 10 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.10-alt1
- 0.9.10

* Mon Dec 09 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Tue Oct 01 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.7-alt1
- New version
- Fixed:
    + Usermode bindings fixed
    + %name-usermode name is changed to %name-consolehelper

* Wed Aug 21 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.6-alt1
- Security update [CAN-2002-0834]
- Group changed to Monitoring

* Thu Apr 18 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.3-alt1
- Security update

* Wed Jan 23 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.0-alt1
- First build for ALT Linux

* Mon Jan 07 2002 Henri Gomez <hgomez@slib.fr>
- 0.9.0
- built on Redhat 6.2 + updates
- Too many updates to report here, take a look in NEWS

* Tue Oct 23 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.20

* Thu Jul 20 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.19
- RPM built on Redhat 6.2, updates, rpm 3.0.5 and ucd-snmpd 4.2
  against libpcap 0.6.2 (tcpdump 3.6.2) and openssl 0.9.6

* Thu May 17 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.18
- Many improvement, take a look at NEWS in %doc
- Reduced the changelog history in .spec

* Thu Apr 26 2001 Henri Gomez <hgomez@slib.fr>
- rebuilt under Redhat 6.2 + updates
- reverted from rpm 4.0.2 to 3.0.5 for better compatibility with Redhat 6.x
- thanks Riku for the great refactory of the spec

* Thu Apr 26 2001 Riku Meskanen <mesrik@iki.fi>
- new binary package rearrangement, separated stuff that needs X11
- I changed, and I'm proposing group to Applications/Network for now ... as
  the /usr/share/doc/rpm-*/GROUPS 'official' list does not have appropriate
  group for networking applications and leads them to be scattered around.
  The tcpdump is now at System/Internet and nmap from Applications/System,
  the X11/* group is now on current distros mostly dead ... the X11/* tree
  seems to still live on contrib packages. Well if it's necessary to show X11
  in group-name, I would rather suggest then Applications/Network{,ing}/X11
  would make more sense and keep all applications closer together and all
  it's bits and bobs easier locatable on multiple packages are built from
  one source package.

* Mon Apr 23 2001 Riku Meskanen <mesrik@iki.fi>
- rebuilt for RedHat 7.1
- created support for usermode
- added icons & config files for gnome and kde desktop integration
- added %dir %_libdir/ethereal/plugins to get clean uninstall
- further spec file minor cleaning, converted absolute paths to
  macros for better relocatability

* Sun Apr 16 2001  Henri Gomez <hgomez@slib.fr>
- 0.8.17 (grabbed corrected 0.8.17a archive)
- RPM built on Redhat 6.2, updates, rpm 4.0

* Tue Mar 06 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)




